"use strict";
var y = Object.create;
var b = Object.defineProperty;
var n = Object.getOwnPropertyDescriptor;
var h = Object.getOwnPropertyNames;
var l = Object.getPrototypeOf, d = Object.prototype.hasOwnProperty;
var v = (o, s, r, f) => {
  if (s && typeof s == "object" || typeof s == "function")
    for (let c of h(s))
      !d.call(o, c) && c !== r && b(o, c, { get: () => s[c], enumerable: !(f = n(s, c)) || f.enumerable });
  return o;
};
var i = (o, s, r) => (r = o != null ? y(l(o)) : {}, v(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  s || !o || !o.__esModule ? b(r, "default", { value: o, enumerable: !0 }) : r,
  o
));

// src/bin/index.ts
var k = require("node:child_process"), p = require("node:fs"), t = require("node:path");

// src/common/versions.ts
var a = {
  "@storybook/addon-a11y": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/addon-docs": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/addon-jest": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/addon-links": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/addon-onboarding": "0.0.0-pr-31356-sha-f9f5fc30",
  "storybook-addon-pseudo-states": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/addon-themes": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/addon-vitest": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/builder-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/builder-webpack5": "0.0.0-pr-31356-sha-f9f5fc30",
  storybook: "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/angular": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/ember": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/html-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/nextjs": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/nextjs-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/preact-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/react-native-web-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/react-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/react-webpack5": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/server-webpack5": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/svelte-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/sveltekit": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/vue3-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/web-components-vite": "0.0.0-pr-31356-sha-f9f5fc30",
  sb: "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/cli": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/codemod": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/core-webpack": "0.0.0-pr-31356-sha-f9f5fc30",
  "create-storybook": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/csf-plugin": "0.0.0-pr-31356-sha-f9f5fc30",
  "eslint-plugin-storybook": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/react-dom-shim": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/source-loader": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/preset-create-react-app": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/preset-react-webpack": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/preset-server-webpack": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/html": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/preact": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/react": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/server": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/svelte": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/vue3": "0.0.0-pr-31356-sha-f9f5fc30",
  "@storybook/web-components": "0.0.0-pr-31356-sha-f9f5fc30"
};

// src/bin/index.ts
var e = process.argv.slice(2);
if (["dev", "build", "index"].includes(e[0]))
  require("storybook/internal/cli/bin");
else {
  let o;
  if (e[0] === "init") {
    let r;
    try {
      r = require.resolve("create-storybook/package.json");
    } catch {
    }
    r ? JSON.parse((0, p.readFileSync)(r, "utf-8")).version === a["create-storybook"] && (o = [
      "node",
      (0, t.join)((0, t.dirname)(r), "bin", "index.cjs"),
      ...e.slice(1)
    ]) : o = ["npx", "--yes", `create-storybook@${a.storybook}`, ...e.slice(1)];
  } else {
    let r;
    try {
      r = require.resolve("@storybook/cli/package.json");
    } catch {
    }
    r ? JSON.parse((0, p.readFileSync)(r, "utf-8")).version === a["@storybook/cli"] && (o = ["node", (0, t.join)((0, t.dirname)(r), "bin", "\
index.cjs"), ...e]) : o = ["npx", "--yes", `@storybook/cli@${a.storybook}`, ...e];
  }
  o || (console.error("Could not run storybook cli, please report this as a bug"), process.exit(1)), (0, k.spawn)(o[0], o.slice(1), { stdio: "\
inherit", shell: !0 }).on("exit", (r) => {
    r != null && process.exit(r), process.exit(1);
  });
}
